From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/elastic-transport/
Date: Thu, 14 Dec 2023 13:58:12 +0000 (UTC) [thread overview]
Message-ID: <1702562284.4e6e37bae1923870fe3e87fecf6463d35d1f6c8f.mgorny@gentoo> (raw)
commit: 4e6e37bae1923870fe3e87fecf6463d35d1f6c8f
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 14 13:24:58 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Dec 14 13:58:04 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4e6e37ba
dev-python/elastic-transport: Bump to 8.11.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/elastic-transport/Manifest | 1 +
.../elastic-transport-8.11.0.ebuild | 64 ++++++++++++++++++++++
2 files changed, 65 insertions(+)
diff --git a/dev-python/elastic-transport/Manifest b/dev-python/elastic-transport/Manifest
index 00992c931f13..afc5bb6d7276 100644
--- a/dev-python/elastic-transport/Manifest
+++ b/dev-python/elastic-transport/Manifest
@@ -1 +1,2 @@
DIST elastic-transport-python-8.10.0.gh.tar.gz 71836 BLAKE2B 1be9a93b6b8cb9b7987de721e65ce532fb247fca931179f99dcdee197cec314a8b3626e0db569a494bab45a194530abccbfd8946d66d03c6bedfb17252a8fb3b SHA512 a883509ec8f0000c4a8aeb435d4dee1cbc4563157668c5e1378e16be9d1a5f5a16927de4df9c5244ca6f1c6f2f273ad513c2d29beaa081b11b34416da2883359
+DIST elastic-transport-python-8.11.0.gh.tar.gz 71944 BLAKE2B 9f5199b171f57169e2ca9d77f225a7ad1d67cc28550a41648f37305342f2cddb2c570e0b314057e49d4a5948ceacdbfbe3d928a456ef47fd334abebbf8c6c718 SHA512 b2ab09c63e5824d8cb59ed78728e4670115eee56bb07310e4d8a083b86eace4bc2dfc0dbefc4346906338acf195b193c0f2fc99a0dc1190ac30950fbe6fbcc70
diff --git a/dev-python/elastic-transport/elastic-transport-8.11.0.ebuild b/dev-python/elastic-transport/elastic-transport-8.11.0.ebuild
new file mode 100644
index 000000000000..a59158b08eaa
--- /dev/null
+++ b/dev-python/elastic-transport/elastic-transport-8.11.0.ebuild
@@ -0,0 +1,64 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+MY_P=elastic-transport-python-${PV}
+DESCRIPTION="Transport classes and utilities shared among Python Elastic client libraries"
+HOMEPAGE="
+ https://github.com/elastic/elastic-transport-python/
+ https://pypi.org/project/elastic-transport/
+"
+SRC_URI="
+ https://github.com/elastic/elastic-transport-python/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+PROPERTIES="test_network"
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/certifi[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.26.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-httpserver[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/sphinx \
+ dev-python/furo \
+ dev-python/sphinx-autodoc-typehints
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e 's:, *<[0-9.]*::' setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # fragile to random warnings
+ tests/node/test_http_aiohttp.py::TestAiohttpHttpNode::test_uses_https_if_verify_certs_is_off
+ tests/node/test_urllib3_chain_certs.py::test_assert_fingerprint_in_cert_chain
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p asyncio -o addopts=
+}
next reply other threads:[~2023-12-14 13:58 UTC|newest]
Thread overview: 46+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-12-14 13:58 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-29 10:23 [gentoo-commits] repo/gentoo:master commit in: dev-python/elastic-transport/ Michał Górny
2025-03-29 10:14 Sam James
2025-03-13 9:39 Michał Górny
2025-01-25 10:13 Michał Górny
2025-01-25 10:05 Arthur Zamarin
2025-01-08 9:12 Michał Górny
2024-12-20 8:25 Michał Górny
2024-10-26 13:10 Michał Górny
2024-10-26 13:01 Michał Górny
2024-10-10 5:03 Michał Górny
2024-08-31 9:21 Michał Górny
2024-08-31 7:49 Sam James
2024-08-13 4:55 Michał Górny
2024-07-12 19:26 Michał Górny
2024-06-12 7:42 Michał Górny
2024-06-12 6:48 Arthur Zamarin
2024-05-28 14:30 Michał Górny
2024-04-14 19:10 Michał Górny
2024-04-14 18:55 Arthur Zamarin
2024-04-14 18:55 Arthur Zamarin
2024-04-14 18:27 Arthur Zamarin
2024-04-14 18:02 Arthur Zamarin
2024-04-14 5:15 Joonas Niilola
2024-03-29 15:28 Michał Górny
2024-02-03 11:44 Michał Górny
2024-02-03 11:02 Sam James
2024-01-20 19:54 Arthur Zamarin
2024-01-20 19:54 Arthur Zamarin
2024-01-19 18:28 Arthur Zamarin
2023-12-31 7:17 Michał Górny
2023-12-31 3:49 Sam James
2023-12-30 14:51 Arthur Zamarin
2023-12-30 14:25 Arthur Zamarin
2023-11-24 15:12 Arthur Zamarin
2023-11-11 20:50 Michał Górny
2023-11-11 20:17 Arthur Zamarin
2023-11-11 19:21 Sam James
2023-10-30 18:10 Michał Górny
2023-10-29 19:52 Michał Górny
2023-10-07 16:05 Michał Górny
2023-09-26 4:42 Michał Górny
2023-08-20 17:37 Arthur Zamarin
2023-04-05 14:27 Arthur Zamarin
2023-04-05 14:27 Arthur Zamarin
2023-02-18 7:16 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1702562284.4e6e37bae1923870fe3e87fecf6463d35d1f6c8f.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox